* {
    margin: 0 0 0 0;
    padding: 0 0 0 0;
    box-sizing: border-box;
}

html {
    background-color: navy;
    background-position: top;
    background-size: cover;
    background-repeat: no-repeat;
}

a h2 {
    margin: 0 0 0 0;
}

img {
    max-width: 400px;
    max-height: 400px;
    width: auto;
    height: auto;
    margin: 10px;
}

.title {
    background-color: white;
    background-size: cover;
    background-repeat: no-repeat;
    min-height: 150px;
    padding: 10px;
    margin: 20px 20px 5px 20px;
    aspect-ratio: 12 / 1;
}

.title a {
    display: block;
    width: max-content;
}

.links {
    display: flex;
    flex-direction: row;
}

.links p {
    margin: 5px 20px 0 20px;
}

.favours {
    background-color: black;
    background-size: cover;
    background-repeat: no-repeat;
    min-height: 100px;
    padding: 10px;
    margin: 5px 20px;
    width: auto;
    overflow: hidden;
    color: #d1e5f4;
}

.favourlist {
    margin: 10px 10px;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: max-content;
    column-gap: 15px;
    animation: favourscroll 2s linear 0s infinite;
    font-weight: bold;
}

.favourlist:hover {
    animation-play-state: paused;
}

.favourlist p {
    color: transparent;
    background: linear-gradient(178deg, violet, white, violet);
    background-clip: text;
}

.strip {
    margin: 10px 0;
    padding: 10px 25px;
    display: flex;
    flex: auto;
    flex-direction: row;
    flex-wrap: nowrap;
}

.pictures {
    background-color: #92b6f0;
    border-radius: 25px;
    margin: 0 10px;
    padding: 20px;
    width: auto;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.yappers {
    margin: 0 0 0 0;
    width: 100%;
}

.fuck {
    background-color: whitesmoke;
    padding: 10px 5px;
    border-radius: 20px;
}

.bippers {
    display: flex;
    flex-direction: row;
}

#name {
    min-height: 30px;
    margin: 0 5px;
    padding: 0 5px;
}

#submit {
    min-height: 30px;
    margin: 0 5px;
    padding: 0 5px;
    width: 100%;
}

#comment {
    min-height: 50px;
    width: 100%;
    max-width: 408px;
    padding: 5px 5px;
}

#comments-section {
    height: 90%;
    overflow: hidden;
    position: relative;
    border-radius: 20px;
}

#comments {
    position: absolute;
    width: 100%;
}

.comment {
    margin: 10px 0;
    padding: 5px 10px;
    background-color: whitesmoke;
    border-radius: 20px;
}

.comment-name {
    font-weight: bold;
    font: underline;
}

.comment-text {
    font-style: italic;
}

@keyframes favourscroll {
    0% {
        transform: translatex(0%);
    }
    50% {
        transform: translatex(0.5%);
    }
    100% {
        transform: translatex(0%);
    }
}

.info {
    background-color: whitesmoke;
    margin: 20px;
    padding: 10px;
}
